Bug 1631625 - [RHEL7.6]hostnamectl set-hostname fail with 63 characters hostname
Summary: [RHEL7.6]hostnamectl set-hostname fail with 63 characters hostname
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: systemd
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jan Synacek
QA Contact: Frantisek Sumsal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-21 06:14 UTC by Pengpeng Sun
Modified: 2019-08-06 12:43 UTC (History)
6 users (show)

Fixed In Version: systemd-219-64.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 12:43:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2091 None None None 2019-08-06 12:43:50 UTC

Description Pengpeng Sun 2018-09-21 06:14:17 UTC
Description of problem:
hostnamectl set-hostname fail to set a new hostname has 63 characters
While it works with 62 or 64 characters new hostname

63 characters fail
# hostnamectl set-hostname CUSTVM-89012345678901234567890123456789012345678901234567890123.vmware.com
Could not set property: Invalid static hostname 'custvm-89012345678901234567890123456789012345678901234567890123.'

64 characters pass
# hostnamectl set-hostname CUSTVM-890123456789012345678901234567890123456789012345678901234.vmware.com

62 characters pass
# hostnamectl set-hostname CUSTVM-8901234567890123456789012345678901234567890123456789012.vmware.com

Version-Release number of selected component (if applicable):
# cat /etc/os-release 
NAME="Red Hat Enterprise Linux Server"
VERSION="7.6 (Maipo)"
ID="rhel"
ID_LIKE="fedora"
VARIANT="Server"
VARIANT_ID="server"
VERSION_ID="7.6"
PRETTY_NAME="Red Hat Enterprise Linux Server 7.6 Beta (Maipo)"
ANSI_COLOR="0;31"
CPE_NAME="cpe:/o:redhat:enterprise_linux:7.6:beta:server"
HOME_URL="https://www.redhat.com/"
BUG_REPORT_URL="https://bugzilla.redhat.com/"

REDHAT_BUGZILLA_PRODUCT="Red Hat Enterprise Linux 7"
REDHAT_BUGZILLA_PRODUCT_VERSION=7.6
REDHAT_SUPPORT_PRODUCT="Red Hat Enterprise Linux"
REDHAT_SUPPORT_PRODUCT_VERSION="7.6 Beta"

Comment 2 Frantisek Sumsal 2018-09-21 08:34:53 UTC
This is caused by hostname shortening AFTER cleanup, which results in a trailing dot in the static hostname in specific cases, thus resulting in an invalid hostname. This should be fixed by this patch[0], which does the shortening BEFORE the cleanup.

[0] https://github.com/systemd/systemd/commit/46e1a2278116e2f5067c35127ccbd8589335f734

Comment 3 Pengpeng Sun 2018-09-21 09:24:17 UTC
Thanks Frantisek for the quick response.
Will RHEL7.6 update systemd version which contains this fix?

Comment 4 Frantisek Sumsal 2018-09-24 08:07:50 UTC
It's too late for RHEL 7.6, so it'll have to wait for RHEL 7.7.

Comment 5 Jan Synacek 2018-10-02 10:58:42 UTC
https://github.com/lnykryn/systemd-rhel/pull/232

Comment 7 Lukáš Nykrýn 2019-02-11 09:44:08 UTC
fix merged to staging branch -> https://github.com/lnykryn/systemd-rhel/pull/232 -> post

Comment 11 errata-xmlrpc 2019-08-06 12:43:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2091


Note You need to log in before you can comment on or make changes to this bug.